WordPressサイトでMySQLのバージョンアップは簡単?

レンタルサーバー会社から、「利用中のデータベース(MySQL)のバージョンが古いので、バージョンアップしてください」との連絡を受けました。
サーバー管理画面で、新しいバージョンに設定変更するだけで大丈夫でしょうか?
お使いのWordPress本体のバージョンが新しいMySQLに対応していて、且つ、お使いのWordPressテーマやプラグインがそのWordPress本体のバージョンに適合していれば、大丈夫と思われます。
ただ、万が一を考えて、事前のバックアップをして、いつでも元に戻せるよう準備しておくことは必須です。

アトリエ100さんによる写真ACからの写真

WordPress本体は、MySQLのバージョンアップに柔軟に対応していますので、動作要件さえ満たせば、正常に動きます。
また、WordPressテーマやプラグインも、MySQLに関する動作要件はほとんど記されていませんので、その他の要件が問題なければ、大丈夫と思われます。
もちろん、そうは言っても、万が一を考えて、事前のバックアップをして、いつでも元に戻せるよう準備しておくことは必須です。

WordPressのMySQLをバージョンアップ

なお、お客様が独自開発されたシステム(アプリケーションプログラム)の場合は、MySQLをバージョンアップすることによってエラーが発生する可能性がありますので、ご注意ください。

WordPressサイトでPHPバージョンの更新は簡単?